curl --request GET 'https://core.getfaceage.com/api/v1/business' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"current_page": 1,
"data": [
{
"id": 8820,
"user_id": 5,
"name": "My First beauty business",
"main_domain": "myfirst-beauty.com",
"site": "https://www.myfirst-beauty.com",
"country_id": 22,
"city": null,
"address": null,
"zip": null,
"contact_email": "[email protected]",
"phone": null,
"customer_type": "subscriber",
"shopify_shop_id": 2267877,
"business_size": "small",
"token": "zxNPIQhoAWmY934DnqrT",
"status": "active",
"after_analyze_status": "none",
"logo": "https://www.dfs.com/logo/12/66dee2aecbd36.png",
"mail_from_address": "[email protected]",
"mail_from_name": "John Smith",
"mail_host": "sandbox.smtp.mailtrap.io",
"mail_mailer": "smtp",
"mail_port": 2525,
"mail_username": "pimJplc******",
"mail_password": "*************",
"mail_encryption": "TLS",
"deleted_date": null,
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z",
"country_list": {
"id": 22,
"name": "Belgium",
"code": "BE"
},
"access_list": [
{
"id": 26,
"business_id": 8820,
"site": "https://www.myfirst-beauty.com",
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z"
}
],
"total_bought_credits": null,
"total_deducted_credits": {
"business_id": 8820,
"total": 6000
},
"invoice": [
{
"id": 83,
"business_id": 8820,
"credit": 6000,
"expiry_date": "2028-03-20 18:31:25",
"access": "all",
"created_at": "2024-06-10T04:31:25.000000Z",
"price": 12
}
]
}
],
"first_page_url": "https://core.getfaceage.com/api/v1/business?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://core.getfaceage.com/api/v1/business?page=1",
"next_page_url": null,
"path": "https://core.getfaceage.com/api/v1/business",
"per_page": 10,
"prev_page_url": null,
"to": 1,
"total": 1
}
}
{
"message": "Unauthenticated."
}
Business management
List businesses
Get a paginated list of the businesses in your account.
GET
/
business
curl --request GET 'https://core.getfaceage.com/api/v1/business' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"current_page": 1,
"data": [
{
"id": 8820,
"user_id": 5,
"name": "My First beauty business",
"main_domain": "myfirst-beauty.com",
"site": "https://www.myfirst-beauty.com",
"country_id": 22,
"city": null,
"address": null,
"zip": null,
"contact_email": "[email protected]",
"phone": null,
"customer_type": "subscriber",
"shopify_shop_id": 2267877,
"business_size": "small",
"token": "zxNPIQhoAWmY934DnqrT",
"status": "active",
"after_analyze_status": "none",
"logo": "https://www.dfs.com/logo/12/66dee2aecbd36.png",
"mail_from_address": "[email protected]",
"mail_from_name": "John Smith",
"mail_host": "sandbox.smtp.mailtrap.io",
"mail_mailer": "smtp",
"mail_port": 2525,
"mail_username": "pimJplc******",
"mail_password": "*************",
"mail_encryption": "TLS",
"deleted_date": null,
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z",
"country_list": {
"id": 22,
"name": "Belgium",
"code": "BE"
},
"access_list": [
{
"id": 26,
"business_id": 8820,
"site": "https://www.myfirst-beauty.com",
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z"
}
],
"total_bought_credits": null,
"total_deducted_credits": {
"business_id": 8820,
"total": 6000
},
"invoice": [
{
"id": 83,
"business_id": 8820,
"credit": 6000,
"expiry_date": "2028-03-20 18:31:25",
"access": "all",
"created_at": "2024-06-10T04:31:25.000000Z",
"price": 12
}
]
}
],
"first_page_url": "https://core.getfaceage.com/api/v1/business?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://core.getfaceage.com/api/v1/business?page=1",
"next_page_url": null,
"path": "https://core.getfaceage.com/api/v1/business",
"per_page": 10,
"prev_page_url": null,
"to": 1,
"total": 1
}
}
{
"message": "Unauthenticated."
}
Returns your businesses, 10 per page. Use it when your application needs business data for analysis, integration or display.
Query parameters
integer
default:"1"
Page number to return.
Response
boolean
true when the request succeeds.object
Paginated result.
data.data holds the list of businesses — see Get a business for the fields of each business. Pagination fields include current_page, last_page, per_page, total, next_page_url and prev_page_url.curl --request GET 'https://core.getfaceage.com/api/v1/business' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"current_page": 1,
"data": [
{
"id": 8820,
"user_id": 5,
"name": "My First beauty business",
"main_domain": "myfirst-beauty.com",
"site": "https://www.myfirst-beauty.com",
"country_id": 22,
"city": null,
"address": null,
"zip": null,
"contact_email": "[email protected]",
"phone": null,
"customer_type": "subscriber",
"shopify_shop_id": 2267877,
"business_size": "small",
"token": "zxNPIQhoAWmY934DnqrT",
"status": "active",
"after_analyze_status": "none",
"logo": "https://www.dfs.com/logo/12/66dee2aecbd36.png",
"mail_from_address": "[email protected]",
"mail_from_name": "John Smith",
"mail_host": "sandbox.smtp.mailtrap.io",
"mail_mailer": "smtp",
"mail_port": 2525,
"mail_username": "pimJplc******",
"mail_password": "*************",
"mail_encryption": "TLS",
"deleted_date": null,
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z",
"country_list": {
"id": 22,
"name": "Belgium",
"code": "BE"
},
"access_list": [
{
"id": 26,
"business_id": 8820,
"site": "https://www.myfirst-beauty.com",
"created_at": "2024-03-12T10:29:08.000000Z",
"updated_at": "2024-03-12T10:29:08.000000Z"
}
],
"total_bought_credits": null,
"total_deducted_credits": {
"business_id": 8820,
"total": 6000
},
"invoice": [
{
"id": 83,
"business_id": 8820,
"credit": 6000,
"expiry_date": "2028-03-20 18:31:25",
"access": "all",
"created_at": "2024-06-10T04:31:25.000000Z",
"price": 12
}
]
}
],
"first_page_url": "https://core.getfaceage.com/api/v1/business?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://core.getfaceage.com/api/v1/business?page=1",
"next_page_url": null,
"path": "https://core.getfaceage.com/api/v1/business",
"per_page": 10,
"prev_page_url": null,
"to": 1,
"total": 1
}
}
{
"message": "Unauthenticated."
}